Fab Modules with iModela support
================================

This is a compiled version of an old version of Fab Modules ([kokompe.cba.mit.edu](http://kokompe.cba.mit.edu/ "kokompe.cba.mit.edu")) with support for the **Roland iModela** ready to be deployed. (C source code is missing, source for "path_rml_imodela" is missing)

Quick changes added to provide iModela support
----------------------------------------------

**Communications**

The iModela has a postscript diver. You can add it to your computer as a regular printer and select **"Raw queue"** on the printer drivers. That is the same setup as for the Roland Vinyl Cutter (.camm). "Raw Queue" is by default on the drivers list on Ubuntu and under the CUPS admin in Mac OS http://localhost:631

The **fab_send** module knows which file to send where depending on the file extension. That is not a really good solution in the case 
you have two different machines which communicate different but use the same file. This is the case of the MDX-20 that runs on .rml and uses the serial port and the iModela, which uses the same extension but the printer driver described above. 

To solve this issue in an easy but not nice way we use the *.imodela extension for the *.rml files we want to send to the iModela. That is not a problem because the file extension is meaningful less for the machine to operate.

To be able to create the files with another extension we created a file called **make_png_imodela** which does runs the **path_rml_imodela** (see below about units) and saves the output with the .imodela extension. Notice that is not a clean solution for maintenance but it works.

**Units**

The Roland MDX-20 units are based on **1/40 mm**, however the iModela uses a **1/100 mm** unit base system. This implies a small change in the **path_rml.c**. The new file is **path_rml_imodela.c**. 

**Z-Axis**

The iModela does not have physical buttons for adjusting the Z 0. This must be done by software as the XY axis. See **rml_moveimodela** and **panel_path_imodela**. See also how the units are changed from 1/40mm to 1/100mm. For RML commands reference: ([RML commands guide](http://wiki.fablabbcn.org/images/4/46/RML1_Command_GuideENVer100.pdf "RML commands guide")) 


